/**
 * Tencent is pleased to support the open source community by making Tars available.
 *
 * Copyright (C) 2016THL A29 Limited, a Tencent company. All rights reserved.
 *
 * Licensed under the BSD 3-Clause License (the "License"); you may not use this file except 
 * in compliance with the License. You may obtain a copy of the License at
 *
 * https://opensource.org/licenses/BSD-3-Clause
 *
 * Unless required by applicable law or agreed to in writing, software distributed 
 * under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 * CONDITIONS OF ANY KIND, either express or implied. See the License for the 
 * specific language governing permissions and limitations under the License.
 */

/* jshint indent: 1 */

module.exports = function (sequelize, DataTypes) {
	return sequelize.define('t_base_image', {
		id: {
			type: DataTypes.INTEGER(11).UNSIGNED,
			allowNull: false,
			primaryKey: true,
			autoIncrement: true
		},
		image: {
			type: DataTypes.STRING(255),
			allowNull: true,
		},
		registryId: {
			type: DataTypes.INTEGER,
			allowNull: true,
		},
		sha: {
			type: DataTypes.STRING(255),
			allowNull: true,
		},
		remark: {
			type: DataTypes.STRING(255),
			allowNull: true
		},
		result: {
			type: DataTypes.TEXT,
			allowNull: true
		},
		create_time: {
			type: DataTypes.DATE,
			allowNull: true
		},
		update_time: {
			type: DataTypes.DATE,
			allowNull: true
		}
	}, {
		tableName: 't_base_image',
		timestamps: false
	});
};